class SettingsJSON {
  PrintWriter newFile;
  boolean darkMode;
  boolean chaosMode;
  IntList jaaj;
  JSONObject json;

  void loadSettings() {
    jaaj = new IntList();
    try {
      json = loadJSONObject("data/settings.json");
      darkMode = json.getBoolean("darkmode");
      chaosMode = json.getBoolean("chaosmode");
    }
    catch (NullPointerException e) {
      newFile = createWriter("data/settings.json");
      newFile.println("{}");
      newFile.flush();
      newFile.close();
      json = loadJSONObject("data/settings.json");
      json.setBoolean("darkmode", false);
      json.setBoolean("chaosmode", false);
      saveJSONObject(json, "data/settings.json");
    }
    jaaj.append(int(darkMode));
    jaaj.append(int(chaosMode));
  }

  void changeSettings(String settingsToChange) {
    json = loadJSONObject("settings.json");
    json.setBoolean(settingsToChange, !json.getBoolean(settingsToChange));
    saveJSONObject(json, "data/settings.json");
  }

  void updateHighScore(int newScore) {
    json = loadJSONObject("data/settings.json");
    try {
      int oldScore = json.getInt("highScore");
      if (oldScore < newScore) {
        json.setInt("highScore", newScore);
      }
    }
    catch(RuntimeException a) {
      println(a.getMessage());
      json.setInt("highScore", newScore);
    }
    saveJSONObject(json, "data/settings.json");
  }

  String readHightScore() {
    json = loadJSONObject("data/settings.json");
    try {
      int score = json.getInt("highScore");
      return str(score);
    }
    catch(RuntimeException a) {
      return "Meilleur score Inexistant";
    }
  }
}
